
/*  Events display */
.calendar-row{
    margin-top: 50px;
}
.events-container {
    height: 100%;
    margin: 0px auto;
    font: 13px Helvetica, Arial, sans-serif;
    display: inline-block;
    padding: 0 10px;
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
    justify-content: center;
    align-items: center;
}
.events-container:after{
    clear:both;
}
.event-card {
    margin: 0 auto;
    width: 350px;
    display: block;
}
.event-count, .event-name, .event-cancelled {
    display: inline;
    padding: 0 10px;
    font-size: 1rem;
}
.event-count {
    color: #365152;
    text-align: right;
}
.event-name {
    padding-right:0;
    text-align: left;
}
.event-cancelled {
    color: #202020;
    text-align: right;
}

/*  Calendar wrapper */
.calendar-container  {
    position: relative;
    margin: 0px auto;
    background: #365152;
    font: 16px Helvetica, Arial, san-serif;
    display: inline-block;
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
}
.calendar-container:after{
    clear:both;
}
/*.calendar {
    display: table;
}*/

/* Calendar Header */
.year-header {
    background: #365152;
    background: -moz-linear-gradient(left,  #365152 0%, #365152 80%, #365152 100%);
    background: -webkit-linear-gradient(left,  #365152 0%, #365152 80%, #365152 100%);
    background: linear-gradient(to right,  #365152 0%, #365152 80%, #365152 100%);
    font-family: Helvetica;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
    -moz-box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
    -webkit-box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
    height: 50px;
    text-align: center;
    position: relative;
    color:#fff;
    border-top-left-radius: 3px;
}
.year-header span {
    display:inline-block;
    font-size: 20px;
    line-height:50px;
}
.left-button, .right-button {
    cursor: pointer;
    width:28px;
    text-align:center;
    position:absolute;
}
.left-button {
    left:0;
    -webkit-border-top-left-radius: 5px;
    -moz-border-radius-topleft: 5px;
    border-top-left-radius: 5px;
}
.right-button {
    right:0;
    top:0;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topright: 5px;
    border-top-right-radius: 5px;
}
.left-button:hover {
    background: #365152;
}
.right-button:hover {
    background: #365152;
}

/* Buttons */
.button{
    cursor: pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    outline: none;
    font-size: 1rem;
    border-radius: 25px;
    padding: 0.65rem 1.9rem;
    transition: .2s ease all;
    color: white;
    border: none;
    box-shadow: -1px 10px 20px #9BC6FD;
    background: #365152;
    background: -moz-linear-gradient(left,  #365152 0%, #365152 80%, #365152 100%);
    background: -webkit-linear-gradient(left,  #365152 0%, #365152 80%, #365152 100%);
    background: linear-gradient(to right,  #365152 0%, #365152 80%, #365152 100%);
}
#cancel-button {
    box-shadow: -1px 10px 20px #595556;
    background: #202020;
    background: -moz-linear-gradient(left,  #202020 0%, #595556 80%, #595556 100%);
    background: -webkit-linear-gradient(left,  #202020 0%, #595556 80%, #595556 100%);
    background: linear-gradient(to right,  #202020 0%, #595556 80%, #595556 100%);
}
#add-button {
    display: block;
    position: absolute;
    right:20px;
    bottom: 20px;
}
#add-button:hover, #ok-button:hover, #cancel-button:hover {
    transform: scale(1.03);
}
#add-button:active, #ok-button:active, #cancel-button:active {
    transform: translateY(3px) scale(.97);
}

/* Days/months tables */
.days-table, .dates-table, .months-table {
    padding-left: 5px;
    padding-right: 5px;
    padding-bottom: 5px;
    border-collapse:separate;
    text-align: center;
    width: 100% !important;
}
.day {
    height: 26px;
    width: 26px;
    padding: 0 10px;
    line-height: 26px;
    border: 2px solid transparent;
    text-transform:uppercase;
    font-size:90%;
    color: #ffffff;
}
.month {
    cursor: default;
    height: 26px;
    width: 26px;
    padding: 0 2px;
    padding-top:10px;
    line-height: 26px;
    text-transform:uppercase;
    font-size: 12px;
    color:#9e9e9e;
    transition: all 250ms;
}
.active-month {
    font-weight: bold;
    font-size: 14px;
    color: #ffffff;
    text-shadow: 0 1px 4px #3f3d3d;
}
.month:hover {
    color: #ffffff;
    text-shadow: 0 1px 4px #ffffff;
}

/*  Dates table */
.table-date {
    cursor: default;
    color: #ffffff;
    height:28px;
    width: 28px;
    font-size: 16px;
    padding: 10px;
    line-height:34px;
    text-align:center;
    border-radius: 50%;
    border: 2px solid transparent;
    transition: all 250ms;
}
.table-date:not(.nil):hover {
    border-color:#dde9e8;
    box-shadow: 0 1px 1px #3f3d3d;
}
.event-date {
    border-color:#dde9e8;
    box-shadow: 0 1px 1px #3f3d3d;
}
.active-date{
    background: #202020;
    box-shadow: 0 2px 8px #3f3d3d;;
    color: #ffffff;
}
.event-date.active-date {
    background: #365152;
    box-shadow: 0 2px 8px #3f3d3d;);
}

/* input dialog */
.dialog{
    z-index: 5;
    background: #fff;
    position:absolute;
    width:415px;
    height: 500px;
    left:387px;
    border-top-right-radius:3px;
    border-bottom-right-radius: 3px;
    display:none;
    border-left: 1px #aaa solid;
}
.dialog-header {
    margin: 20px;
    color:#333;
    text-align: center;
}
.form-container {
    margin-top:25%;
}
.form-label {
    color:#333;
}
.input {
    border:none;
    background: none;
    border-bottom: 1px #aaa solid;
    display:block;
    margin-bottom:50px;
    width: 200px;
    height: 20px;
    text-align: center;
    transition: border-color 250ms;
}
.input:focus {
    outline:none;
    border-color: #00C9FB;
}
.error-input {
    border-color: #202020;
}

/* Tablets and smaller */
@media only screen and (max-width: 991px) {
    .calendar-row{
        margin-top: 0;
    }
    .content {
        overflow: visible;
        position:relative;
        max-width: 100%;
        width: 370px;
        height: 100%;
        background: #365152;
        background: -moz-linear-gradient(left,  #365152 0%, #00C9FB 80%, #00C9FB 100%);
        background: -webkit-linear-gradient(left,  #365152 0%, #00C9FB 80%, #00C9FB 100%);
        background: linear-gradient(to right,  #365152 0%, #00C9FB 80%, #00C9FB 100%);
    }
    .dialog {
        width:370px;
        height: 450px;
        border-radius: 3px;
        top:0;
        left:0;
    }

    .events-container {
        float:none;
        overflow: visible;
        margin: 0 auto;
        margin-top: 35px;
        padding: 0;
        display: block;
        left: 0;
        border-radius: 3px;
    }

    .calendar-container {
        float: none;
        padding: 0;
        margin: 0 auto;
        margin-right: 0;
        display: block;
        left: 0;
        border-radius: 3px;
        box-shadow: 3px 8px 16px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23);
        -moz-box-shadow: 3px 8px 16px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23);
        -webkit-box-shadow: 3px 8px 16px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23);
    }
}
@media (max-width: 991px) {
    .month {
        padding: 5px 5px;
        font-size: .55rem !important;
        width: auto;

    }
}


/* Small phone screens */
@media only screen and (max-width: 460px) {
  /*  .content, .events-container, .year-header, .calendar-container {
        width: 100%;
    }
    .dialog {
        width: 320px;
    }
    .months-table {
        display: block;
        margin: 0 auto;
        width: 320px;
    }
    .event-card {
        width: 300px;
    }
    .day {
        padding: 0 7px;
    }*/


    .month {
        display: inline-block;
        padding: 5px 5px;
        font-size: .5rem !important;
        width: auto;
    }
    .table-date {
        width: 20px;
        height: 20px;
        line-height: 27px;
        font-size: 14px;
    }
   /* .dates-table{
        width: 100% !important;
    }
    .table-date {
        width: 20px;
        height: 20px;
        line-height: 20px;
    }
    .event-name, .event-count, .event-cancelled {
        font-size: .8rem;
    }
    .add-button{
        bottom: 10px;
        right: 10px;
        padding: 0.5rem 1.5rem;
    }*/
}
